package table

import "time"

type Type string

/*const (
	mmt Type = iota
	prescene
	rutracker
	locate
	darkabyss
	bfm
	trash
	nnmc
	stb
	bandcamp
	deathgrind
)*/

type ExternalSources struct {
	Id                 int       `json:"id" db:"id"`
	Type               string    `json:"type" db:"type"`
	TypeId             int       `json:"type_id" db:"type_id"`
	Title              string    `json:"title" db:"title"`
	TypeSubsectionId   int       `json:"type_subsection_id" db:"type_subsection_id"`
	Releaser           string    `json:"releaser" db:"releaser"`
	ExSource           string    `json:"ex_source" db:"eXsource"`
	Created            time.Time `json:"created_at" db:"created"`
	Modified           time.Time `json:"modified_at" db:"modified"`
	Contents           string    `json:"contents" db:"contents"`
	A                  string    `json:"a" db:"a"`
	H                  string    `json:"h" db:"h"`
	Fingerprint        string    `json:"fingerprint" db:"fingerprint"`
	FsFingerprint      string    `json:"fs_fingerprint" db:"fs_fingerprint"`
	Vid                int       `json:"vid" db:"vid"`
	G                  string    `json:"g" db:"g"`
	ExternalSourcesCol string    `json:"external_sources_column" db:"external_sourcescol"`
}
