package service

import (
	"github.com/spf13/viper"

	"git.amok.space/yevhen/resource-scraper/pkg/repository"
	"git.amok.space/yevhen/resource-scraper/types"
)

type Service struct {
	types.Rutracker
}

func New(repos *repository.Repository) *Service {

	switch viper.GetString("scope") {
	case types.RuTracker:
		return &Service{
			Rutracker: NewRutrackerService(repos.Rutracker),
		}
	}

	return &Service{}
}
